### Hierarchy

- XPathEvaluator

## Index

### Methods

- createExpression
- createNSResolver
- evaluate

## Methods

### createExpression

- createExpression(expression: string, resolver: XPathNSResolver): XPathExpression

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16960

  #### Parameters

  - ##### expression: string

  - ##### resolver: XPathNSResolver

  #### Returns XPathExpression

### createNSResolver

- createNSResolver(nodeResolver?: Node): XPathNSResolver

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16961

  #### Parameters

  - ##### Optional nodeResolver: Node

  #### Returns XPathNSResolver

### evaluate

- evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver | function | null, type: number, result: XPathResult | null): XPathResult

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:16962

  #### Parameters

  - ##### expression: string

  - ##### contextNode: Node

  - ##### resolver: XPathNSResolver | function | null

  - ##### type: number

  - ##### result: XPathResult | null

  #### Returns XPathResult

Generated using TypeDoc